Skip to content

Spotlight Evaluation Logic

The Spotlight Evaluation Logic service collection provides operations for querying the evaluation rules that Spotlight uses to assess vulnerabilities. Search for evaluation logic definitions by FQL filter to understand how specific CVEs are detected and scored across your environment.

LanguageLast Update
Pythonv1.5.5
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
combinedQueryEvaluationLogic
query_evaluation_logic_combined
Search for evaluation logic in your environment by providing a FQL filter and paging details. Returns a set of evaluation logic entities which match the filter criteria.
combinedSupportedEvaluationExt
get_supported_evaluations
Perform a combined query and get for RiskSupportedEvaluation entities.
getEvaluationLogic
get_evaluation_logic
Get details on evaluation logic items by providing one or more IDs.
queryEvaluationLogic
query_evaluation_logic
Search for evaluation logic in your environment by providing a FQL filter and paging details. Returns a set of evaluation logic IDs which match the filter criteria.

Search for evaluation logic in your environment by providing a FQL filter and paging details. Returns a set of evaluation logic entities which match the filter criteria.

GET /spotlight/combined/evaluation-logic/v1
Scope Spotlight Vulnerabilities: READ Consumes · Produces application/json
PEP 8 query_evaluation_logic_combined
NameTypeData typeDescription
afterquerystringA pagination token used with the limit parameter to manage pagination of results. On your first request, don’t provide an after token. On subsequent requests, provide the after token from the previous response to continue from that place in the results.
filterquerystringFQL query specifying the filter parameters.
limitqueryintegerMaximum number of entities to return.
parametersquerydictionaryFull query string parameters payload in JSON format.
sortquerystringSort evaluation logic by their properties.
from falconpy import SpotlightEvaluationLogic
falcon = SpotlightEvaluationLogic(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_evaluation_logic_combined(after="string",
filter="string",
limit="string",
sort="string")
print(response)

Perform a combined query and get for RiskSupportedEvaluation entities.

GET /spotlight/combined/supported-evaluation-external/v1
Scope Risk Platform Risk: READ Consumes · Produces application/json
PEP 8 get_supported_evaluations
NameTypeData typeDescription
afterquerystringA pagination token used with the limit parameter to manage pagination of results. On your first request, don’t provide an after token. On subsequent requests, provide the after token from the previous response to continue from that place in the results.
filterquerystringFilter items using a query in Falcon Query Language (FQL). Wildcards * and empty filter values are unsupported. Available filter fields that support exact match: id, risk_id, risk_provider, finding_provider, platform. Available filter fields that support range comparisons (>, <, >=, <=): created_timestamp, updated_timestamp. Required.
limitqueryintegerThe number of items to return in this response (default: 100, max: 400). Use with the after parameter to manage pagination of results.
offsetquerystringStarting index of overall result set from which to return ids.
risk_providerquerystring or list of stringsZero or more risk providers. Zero means all. Supported values: S (for Falcon sensor).
sortquerystringSort vulnerabilities by their properties. Available sort options: created_timestamp|asc/desc, updated_timestamp|asc/desc.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import SpotlightEvaluationLogic
falcon = SpotlightEvaluationLogic(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_supported_evaluations(after="string",
filter="string",
limit="string",
offset="string",
risk_provider=id_list,
sort="string")
print(response)

Get details on evaluation logic items by providing one or more IDs.

GET /spotlight/entities/evaluation-logic/v1
Scope Spotlight Vulnerabilities: READ Consumes · Produces application/json
PEP 8 get_evaluation_logic
NameTypeData typeDescription
idsquerylist of stringsOne or more evaluation logic IDs.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import SpotlightEvaluationLogic
falcon = SpotlightEvaluationLogic(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_evaluation_logic(ids=id_list)
print(response)

Search for evaluation logic in your environment by providing a FQL filter and paging details. Returns a set of evaluation logic IDs which match the filter criteria.

GET /spotlight/queries/evaluation-logic/v1
Scope Spotlight Vulnerabilities: READ Consumes · Produces application/json
PEP 8 query_evaluation_logic
NameTypeData typeDescription
afterquerystringA pagination token used with the limit parameter to manage pagination of results. On your first request, don’t provide an after token. On subsequent requests, provide the after token from the previous response to continue from that place in the results.
filterquerystringFQL query specifying the filter parameters.
limitqueryintegerMaximum number of entities to return.
parametersquerydictionaryFull query string parameters payload in JSON format.
sortquerystringSort evaluation logic by their properties.
from falconpy import SpotlightEvaluationLogic
falcon = SpotlightEvaluationLogic(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_evaluation_logic(after="string",
filter="string",
limit="string",
sort="string")
print(response)